<?php
/**
 * 打印模板类
 * @Copyright (C) 2018 汉潮 All rights reserved.
 * @License http://www.hanchao9999.com
 * @Author xiaogg <xiaogg@sina.cn>
 */
namespace Common\Vendor;
class Printtpl{
    public $class;
    public $printtpl_classname;
    /**
     * 构造方法，用于实例化一个处理对象
     * @param string $classname 要使用的类库
     */
    public function __construct($classname = 'Local'){        
        /* 引入处理库 */
        $classfullname  =    "Common\\Vendor\\Printtpl\\".$classname;
        $config=array();
        $this->printtpl_classname=$classname;
        if(class_exists($classfullname))$this->class = new $classfullname($config);
    }
    public function __call($method,$data) {
       if(method_exists($this->class,$method))return call_user_func_array(array(&$this->class, $method), $data);
    }
}